Subject: Bug#987: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem

From: Mihai Moldovan <[email-masked]>
Date: Thu, 28 Jan 2016 00:17:08 +0100

On 28.01.2016 12:08 AM, Orkun BALCI wrote:
> It says, it exist :/i18n/x2goclient_de_DE, however, it doesnt exist :/i18n/x2goclient_tr_TR.UTF_8 (and same for qt_de_DE and qt_tr_TR).

Yep, it really didn't exist in the binary. My fault, I've added it now.

> When I run 
> 
> LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8 x2goclient --debug
> 
> it is translated into a Danish or Nordish language.

Yep, it's translated into Danish, because there is no Turkish translation baked into the binary. The Norwegian issue is different from yours.

> When I look at the source, I cannot see qt_tr.qm file, however I can see qt_de, qt_da files. Maybe it is not compiled with "lrelease" during "make" process.

Qt itself sadly has no Turkish translation, so that's normal.

I have pushed a fix already. The Debian builds will hopefully run shortly, so if you use the nightly/heuler repository, try to update and upgrade in an hour.

Mihai